/********************************************************************
 File: clock.c

 Description:
 This file contains timing functions

 Authors and Copyright:
 (c) 2018, Thomas Fischl (http://www.fischl.de/contact.html)

 Device: PIC16LF1455
 Compiler: Microchip MPLAB XC8 C Compiler V1.44

 License:
 This file is part of the USBtin firmware project and is copyrighted by the
 authors listed above. It is free for private or educational non-commercial use
 (for a commercial license please contact the authors). It may not be
 redistributed without the prior written consent of the authors.
 
 It is provided "as is" without warranty of any kind, either express or implied,
 including without limitation any implied warranties of condition, uninterrupted
 use, merchantability, fitness for a particular purpose, or non-infringement. In
 no event shall the authors be liable for any direct or indirect damages arising
 in any way out of the use of it.
 
 ********************************************************************/

#include "usb2fir.h"
#include "clock.h"

unsigned char clock_tickerSlow;

/**
 * @brief Initialize timer module
 */
void clock_init() {
    // enable timer 1 with 1:8 -> 1.5MHz
    T1CON = 0b00110001;
    TMR1IE = 1;
}

unsigned char toggle = 0;
/**
 * @brief Timer interrupt routine
 */
inline void clock_isr() {
    TMR1 = 0xffff - 15000 + 50; // reload for 100 Hz
    clock_tickerSlow++;
    LATCbits.LATC3 = toggle;
    toggle = !toggle;
}
