/********************************************************************
 File: i2c.h

 Description:
 This file contains defines for i2c functions.

 Authors and Copyright:
 (c) 2018, Thomas Fischl (http://www.fischl.de/contact.html)

 Device: PIC16LF1455
 Compiler: Microchip MPLAB XC8 C Compiler V1.44

 License:
 This file is part of the USBtin firmware project and is copyrighted by the
 authors listed above. It is free for private or educational non-commercial use
 (for a commercial license please contact the authors). It may not be
 redistributed without the prior written consent of the authors.
 
 It is provided "as is" without warranty of any kind, either express or implied,
 including without limitation any implied warranties of condition, uninterrupted
 use, merchantability, fitness for a particular purpose, or non-infringement. In
 no event shall the authors be liable for any direct or indirect damages arising
 in any way out of the use of it.
 
 ********************************************************************/
#ifndef I2C_H
#define	I2C_H

#define _XTAL_FREQ 48000000
#define I2C_DEFAULT_PERIOD_US 2 

void i2c_init();
void i2c_setBaudratePeriod(unsigned short period);
unsigned char i2c_start();
unsigned char i2c_repeatedStart();
unsigned char i2c_sendByte(unsigned char b);
unsigned char i2c_receiveByte(unsigned char * b, unsigned char ack);
unsigned char i2c_stop(void);
unsigned char i2c_isInProgress(void);


#endif	/* I2D_H */

